
<h2 class="labelSysma labelSysma-donnees">{{  Process.title  }}</h2>



<div class="form-group">
    <label>Objet à calculer</label>
    <!--
    <select class="form-control" name="{{ id_process}}_sysma_object_id" id="{{ id_process}}_sysma_object_id">
        <option value="{{  sysma_object_id }}" >{{  sysma_object_id }}</option>
    </select>
    -->
    <input class="form-control"  name="{{ id_process}}_sysma_object_id" id="{{ id_process}}_sysma_object_id" value="{{  sysma_object_id }}" />
</div>
    
    

<div class="form-group">
    <label>Date du calcul</label>
    <input type="date" format="H-m-d" value="{{  'now'|date('Y-m-d') }}" class="form-control" name="{{ id_process}}_calculation_date" id="{{ id_process}}_calculation_date" />

</div>

{%  for id_processarg, arg in Process.args %}
    {% if arg.hidden is defined and arg.hidden == true %}
        <div class="form-group hidden">
    {% else %}
        <div class="form-group">
    {% endif %}
        <label>{{  arg.parameter }}</label>


        {%  if arg.type == 'int' %}
            <input class="form-control" name="{{ id_process}}_{{  id_processarg }}" id="{{ id_process}}_{{  id_processarg }}" type="number" step="1" value="{{  arg.default_value|default(0)}}" />
            
        {%  elseif arg.type == 'numeric' %}
            <input class="form-control" name="{{ id_process}}_{{  id_processarg }}" id="{{ id_process}}_{{  id_processarg }}" type="number" value="{{  arg.default_value|default(0)}}" />

        {%  elseif arg.type == 'text' %}
            <input class="form-control" name="{{ id_process}}_{{ id_processarg }}" id="{{ id_process}}_{{ id_processarg }}" type="text" value="{{ arg.default_value|default(0)}}"/>

        {%  elseif  arg.type == 'sysma_parameter' %}
            <select class="form-control" name="{{ id_process}}_{{  id_processarg }}" id="{{ id_process}}_{{  id_processarg }}">
                    {%  for option in arg.parameters_list %}
                        <option value="{{  option.id_parameter }}" >{{  option.parameter }}</option>
                    {% endfor  %}
            </select>
        {%  endif %}
    </div>

{% endfor  %}

<div class="form-group">

    <label>
        <input type='radio' id='{{ id_process}}_update_function' name='{{ id_process}}_update_function' value='display'  required="required"  checked="true"/>
        Afficher </label>
    <label> 
        <input type='radio' id='{{ id_process}}_update_function' name='{{ id_process}}_update_function' value='modify'  required="required" />
        Corriger </label> 
    <label>
        <input type='radio' id='{{ id_process}}_update_function' name='{{ id_process}}_update_function' value='update'  required="required" />
        Mettre à jour </label>
    <!--
    <select class="form-control" name="{{ id_process}}_update_function" id="{{ id_process}}_update_function">
        <option value="">Affichage des résultats (pas d'enregistrement)</option>
        <option value="modify">Correction des données précédentes</option>        
    </select>
    -->
</div>


<p>
    <a class="btn btn-default btn-sm" href="#" onclick="sendData('{%  for id_processarg, arg in Process.args %}{{id_processarg}}=' + $('#{{ id_process}}_{{id_processarg}}').val() + '&{% endfor  %}sysma_object_type_id={{ sysma_object_type_id }}&sysma_object_id=' + $('#{{ id_process}}_sysma_object_id').val() + '&calculation_date=' + $('#{{ id_process}}_calculation_date').val() + '&update_function=' + $('#{{ id_process}}_update_function:checked').val(), '{{ url('process', { 'id' : id_process }) }}', 'res_{{  id_process  }}', event, true)">
        <span class="glyphicon glyphicon-play"></span>  Lancer le calcul
    </a>
</p>

<div id="res_{{  id_process  }}"></div>

<hr>